JXimc.motor_settings_t
Date: 2025-12-16

ru.ximc.libximc

## Class JXimc.motor_settings_t

- java.lang.Object
- - ru.ximc.libximc.JXimc.motor_settings_t

- Enclosing class:
    JXimc

      public static class JXimc.motor_settings_t
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `DetentTorque`
    `float` | `MaxCurrent`
    `float` | `MaxCurrentTime`
    `float` | `MaxSpeed`
    `float` | `MechanicalTimeConstant`
    `byte` | `MotorType`
    `float` | `NoLoadCurrent`
    `float` | `NoLoadSpeed`
    `float` | `NominalCurrent`
    `float` | `NominalPower`
    `float` | `NominalSpeed`
    `float` | `NominalTorque`
    `float` | `NominalVoltage`
    `short` | `Phases`
    `short` | `Poles`
    `byte` | `ReservedField`
    `float` | `RotorInertia`
    `float` | `SpeedConstant`
    `float` | `SpeedTorqueGradient`
    `float` | `StallTorque`
    `float` | `TorqueConstant`
    `float` | `WindingInductance`
    `float` | `WindingResistance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `motor_settings_t()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MotorType

          public byte MotorType

    - #### ReservedField

          public byte ReservedField

    - #### Poles

          public short Poles

    - #### Phases

          public short Phases

    - #### NominalVoltage

          public float NominalVoltage

    - #### NominalCurrent

          public float NominalCurrent

    - #### NominalSpeed

          public float NominalSpeed

    - #### NominalTorque

          public float NominalTorque

    - #### NominalPower

          public float NominalPower

    - #### WindingResistance

          public float WindingResistance

    - #### WindingInductance

          public float WindingInductance

    - #### RotorInertia

          public float RotorInertia

    - #### StallTorque

          public float StallTorque

    - #### DetentTorque

          public float DetentTorque

    - #### TorqueConstant

          public float TorqueConstant

    - #### SpeedConstant

          public float SpeedConstant

    - #### SpeedTorqueGradient

          public float SpeedTorqueGradient

    - #### MechanicalTimeConstant

          public float MechanicalTimeConstant

    - #### MaxSpeed

          public float MaxSpeed

    - #### MaxCurrent

          public float MaxCurrent

    - #### MaxCurrentTime

          public float MaxCurrentTime

    - #### NoLoadCurrent

          public float NoLoadCurrent

    - #### NoLoadSpeed

          public float NoLoadSpeed

  - ### Constructor Detail

    - #### motor_settings_t

          public motor_settings_t()